package gov.nih.nlm.nls.lexCheck.install.Setup;

import java.util.*;
import java.io.*;
import java.lang.*;

import gov.nih.nlm.nls.lexCheck.install.utils.*;

import gov.nih.nlm.nls.lexCheck.Api.*;

public class InstallObject 
{
	/**
	* Method GetRootDir determines where the root of this installation is. 
	* 
	* @returns	String
	*/
	public static String GetMsgDir()
	{
		return msgDir_;
	}
	public static String GetRootDir()
	{
		return rootDir_;
	}

	/**
	* Method getClassPath
	* 
	* @returns			String
	*/
	public static String GetClassPath() throws Exception
	{ 
    	StringBuffer buff = new StringBuffer();

    	if(classPath_ == null) 
		{
			// ROOT_DIR
      		buff.append(rootDir_); buff.append(U.PS);
      
			// ROOT_DIR/lib/lexCheck2011dist.jar
			buff.append(rootDir_); buff.append(U.FS); 
			buff.append("lib"); buff.append(U.FS);
			buff.append(Param.DIST_JAR); 
      
			classPath_ = buff.toString();
    	}

    	return classPath_;
	}

	/**
	* Method getClassPath
	* 
	* @returns			String
	*/
	public static String GetClassPath(String rootDir) throws Exception
	{ 
    	StringBuffer buff = new StringBuffer();

		if(U.isWindows() == true)
		{
			rootDir = "%" + rootDir + "%";
		}
		else
		{
			rootDir = "${" + rootDir + "}";
		}

    	if(classPath_ == null) 
		{
			// ROOT_DIR
      		buff.append(rootDir); buff.append(U.PS);
      
			// ROOT_DIR/lib/lexCheck2011dist.jar
			buff.append(rootDir); buff.append(U.FS); 
			buff.append("lib"); buff.append(U.FS);
			buff.append(Param.DIST_JAR); 
      
			classPath_ = buff.toString();
    	}

    	return classPath_;
	}

	public static void SetRootDir(String rootDir)
	{
		rootDir_ = rootDir;
	}

	// Private Declarations
	private static String msgDir_ = null;
	private static String rootDir_ = null;
	private static String classPath_ = null;

	static
  	{
		// The message files should be put into the jar file, where their path
		// can be got relative to what's in the jar file.
		msgDir_ = "install" + "/" + "Msg";

		File file = new File(System.getProperty("user.dir"));
		rootDir_ = file.getAbsolutePath();
  	}
}
