package gov.nih.nlm.nls.lexCheck.Cat.Adj;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Gram.*;
/*****************************************************************************
* This class checks nominalization for syntactical category of adjective.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class CheckFormatAdjNominalization implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel nominalization of adjective.
    *
    * @param   filler   the filler of adjective nominalization.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        StringTokenizer buf = new StringTokenizer(filler, "|");
        // base form
        if(buf.hasMoreTokens() == false)
        {
            return false;
        }
        else
        {
            String base = buf.nextToken();
            // noun category
            if(buf.hasMoreTokens() == true)
            {
                String cat = buf.nextToken();
                if(cat.equals("noun") == false)
                {
                    return false;
                }
                else
                {
                    // EUI
                    if(buf.hasMoreTokens() == true)
                    {
                        String eui = buf.nextToken();
                        CheckFormatEui checkFormatEui = new CheckFormatEui();
                        if(checkFormatEui.IsLegalFormat(eui) == false)
                        {
                            return false;
                        }
                        else
                        {
                            return true;
                        }
                    }
                    else
                    {
                        return true;
                    }
                }
            }
            else
            {
                return true;    // no cat and EUI
            }
        }
    }
    // data member
}
