package gov.nih.nlm.nls.lexCheck.Cat.Adj;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks position for syntactical category of adjective.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class CheckFormatAdjPosition implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel position of adjective.
    *
    * @param   filler   the filler of adjective position.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 6;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("attrib(1)");
        filler_.add("attrib(2)");
        filler_.add("attrib(3)");
        filler_.add("attribc");
        filler_.add("pred");
        filler_.add("post");
    }
}
