package gov.nih.nlm.nls.lexCheck.Cat.Adj;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks inflectionl variants for syntactical category of adjective.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class CheckFormatAdjVariants implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel inflectional variants of adjective.
    *
    * @param   filler   the filler of adjective inflectional varaints.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        if((flag == false) && (filler.startsWith("irreg|")))
        {
            StringTokenizer buf = new StringTokenizer(filler, "|");
            int pipeNum = 0;
            while(buf.hasMoreTokens() == true)
            {
                String token = buf.nextToken();
                pipeNum++;
            }
            //TBD: 
            flag = (pipeNum == 4);
            // flag = (pipeNum == 3);
        }
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 5;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("reg");
        filler_.add("regd");
        filler_.add("irreg");
        filler_.add("inv");
        filler_.add("inv;periph");
    }
}
