package gov.nih.nlm.nls.lexCheck.Cat.Adv;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates negative status for syntactical category of adverb.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class UpdateAdvNegative implements UpdateLex
{
    // public method
    /**
    * Update the adverb negative status to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the negative status from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        int index = token.indexOf("\t");
        String negative = token.substring(index+1);
        lexObj.GetCatEntry().GetAdvEntry().SetNegative(negative);
    }
}
