package gov.nih.nlm.nls.lexCheck.Cat.Pron;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks format of gender for syntactical category of pronoun.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class CheckFormatPronGender implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel format of pronoun gender.
    *
    * @param   filler   the filler of pronoun gender.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 4;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("pers(masc)");
        filler_.add("pers(fem)");
        filler_.add("pers");
        filler_.add("neut");
    }
}
