package gov.nih.nlm.nls.lexCheck.Cat.Pron;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks format of type for syntactical category of pronoun.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class CheckFormatPronType implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel format of pronoun type.
    *
    * @param   filler   the filler of pronoun type.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 10;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("obj");
        filler_.add("subj");
        filler_.add("poss");
        filler_.add("possnom");
        filler_.add("refl");
        filler_.add("univ");
        filler_.add("indef(neg)");
        filler_.add("indef(assert)");
        filler_.add("indef(nonassert)");
        filler_.add("dem");
    }
}
