package gov.nih.nlm.nls.lexCheck.Cat.Verb;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks format of inflectional variants for verb.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2019
****************************************************************************/
public class CheckFormatVerbVariants implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legal format of inflectional variants 
    * of verb.
    *
    * @param   filler   the filler of verb inflectional variants.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        if((flag == false) && (filler.startsWith("irreg|")))
        {
            StringTokenizer buf = new StringTokenizer(filler, "|", true);
            int pipeNum = 0;
            while(buf.hasMoreTokens() == true)
            {
                String token = buf.nextToken();
                if(token.equals("|") == true)
                {
                    pipeNum++;
                }
            }
            //TBD: 
            flag = (pipeNum == 6);
            //flag = (pipeNum == 5);
        }
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 3;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("reg");
        filler_.add("regd");
        filler_.add("irreg");
    }
}
