package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class provides a Java Object class of a bases and POS. 
* The first base is the citation in the record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class BasePosObj
{
    // public constructor
    public BasePosObj(LexRecord lexRecord)
    {
        if(lexRecord != null)
        {
            category_ = lexRecord.GetCategory();
            bases_.add(lexRecord.GetBase());
            bases_.addAll(lexRecord.GetSpellingVars());
        }
    }
    public BasePosObj(String base, String category, Vector<String> spVars)
    {
        category_ = category;
		bases_.add(base);
		bases_.addAll(spVars);
    }
    // public method
    public ArrayList<String> GetBases()
    {
        return bases_;
    }
    public String GetCit()
    {
        return bases_.get(0);
    }
    public String GetCategory()
    {
        return category_;
    }
    // data member
    private String category_ = new String();
	// the first element is the citation
    private ArrayList<String> bases_ = new ArrayList<String>();
}
