package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import gov.nih.nlm.nls.lvg.Util.UnicodeUtil;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Api.*;
/*****************************************************************************
* This class provides a Java utility class of error message of content check
* on a single lexRecord.
* It is similar to the Lib.ErrMsg class
*
* <p><b>History:</b>
* <ul>
* <li>SCR-58: chlu, 11/29/18, add a new field class_type - check contents
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class ErrMsgUtilLexRecord extends ErrMsgUtil
{
    public static void AddContentErrMsg(int contentType, int errType,
		String curItem, LexRecord lexRecord)
    {
        boolean crossRefFlag = false;
		boolean singleRecFlag = true;
        AddContentErrMsg(contentType, errType, curItem, lexRecord, 
            errTypeStrs_, errTypeNos_, crossRefFlag, singleRecFlag);
    }
    public static String GetErrStats()
    {
        return GetErrStats(errTypeStrs_, errTypeNos_);
    }
	public static void AddClassTypeTbd()
	{
		errTypeNos_[WARN_CT_TBD_NO]++;
	}

    // data member
    // used in LexRecrod Check
    final public static int ERR_ILLEGAL = 1;
    final public static int ERR_DUPLICATE = 2;
    final public static int ERR_DOUBLE_PIPES = 3;
    final public static int ERR_GLREG_ENDING = 4;
    final public static int ERR_REGD_ENDING = 5;
    final public static int ERR_ORDER = 6;
    final public static int ERR_SPACES = 7;
    final public static int ERR_IRREG_BASE = 8;
    final public static int ERR_IRREG_MISSING = 9;
    final public static int ERR_ILLEGAL_NOM_CAT = 10;
    final public static int ERR_CT_BASE = 11;
    final public static int ERR_CT_TBD = 12;
    final public static int WARN_CT_TBD_NO = 13;
	// error type|error notes
    private static String[][] errTypeStrs_ = 
    {
        {"Total errors", ""},
        {"illegal value", ""},
        {"duplicates", " => fixed (remove duplicates)"},
        {"double pipes ||", ""},
        {"illegal glreg ending", ""},
        {"illegal regd ending", ""},
        {"order", " => fixed (swap citation & spVar)"},
        {"extra spaces", " => fixed (trim)"},
        {"illegal irreg base", ""},
        {"missing in irreg", ""},

        {"Illegal cat in nom", " => requires manually fix"},
        {"illegal class type base", ""},
        {"illegal TBD w/ other class types", " => remove class_type=TBD"},
        {"total no of TBD class type", ""},
    };
	// total error no is 0
    private static int[] errTypeNos_ =
    {
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0
    };
	// total class
}
