package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import gov.nih.nlm.nls.lvg.Util.UnicodeUtil;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Api.*;
/*****************************************************************************
* This class provides a Java utility class of error message of content check
* on cross-references and on the entire Lexicon.
* It is similar to the Lib.ErrMsg class
*
* <p><b>History:</b>
* <ul>
* <li>SCR-58: chlu, 11/30/18, add a new field class_type - check lexicon
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class ErrMsgUtilLexicon extends ErrMsgUtil
{
    public static void AddContentErrMsg(int contentType, int errType,
        String curItem, LexRecord lexRecord)
    {
        boolean crossRefFlag = true;
		boolean singleRecFlag = false;
        AddContentErrMsg(contentType, errType, curItem, lexRecord, 
            errTypeStrs_, errTypeNos_, crossRefFlag, singleRecFlag);
    }
    public static void AddContentErrMsg(int contentType, int errType, 
        String errMsg)
    {
        boolean crossRefFlag = true;
        AddContentErrMsg(contentType, errType, errMsg, errTypeStrs_,
            errTypeNos_, crossRefFlag);
    }
    public static String GetErrStats()
    {
        return GetErrStats(errTypeStrs_, errTypeNos_);
    }
    public static String GetErrTypeStr(int errType)
    {
        return GetErrTypeStr(errType, errTypeStrs_);
    }
    public static String GetErrFixStr(int errType)
    {
        return GetErrFixStr(errType, errTypeStrs_);
    }
    // data member
    // used in Lexicon Check
    final public static int ERR_DUP_EUI = 1;
    final public static int ERR_DUP_REC = 2;
    final public static int ERR_NO_EUI = 3;
    final public static int ERR_WRONG_CIT_SPVAR = 4;	// repalce spVar by cit
    final public static int ERR_WRONG_CIT_SPVAR_DUP = 5; // after replace, is duplicated
    final public static int ERR_MISS_EUI = 6;
    final public static int ERR_WRONG_EUI = 7;
    final public static int ERR_MISS_EUIS = 8;
    final public static int ERR_WRONG_EUIS = 9;
    final public static int ERR_SYM_CIT = 10;
    final public static int ERR_SYM_CAT = 11;
    final public static int ERR_SYM_NONE = 12;
    final public static int ERR_NEW_EUI = 13;
    private static String[][] errTypeStrs_ = 
    {
        {"Total", ""},
        {"dup EUI", " => requires manully fix"},
        {"dup LexRecord", " => requires manually check"},
        {"no EUI", " => remove EUI"},
        {"wrong citation (spVar)", " => replace spVar by citation"},
        {"wrong citation (spVar), duplicates", " => remove duplicates"},
        {"missing EUI", " => add EUI"},
        {"wrong EUI", " => requires manually check"},
        {"missing EUIs", " => requires manually check"},
        {"wrong EUIs", " => requires manually check"},
        {"symmetric citation", " => requires manually check"},
        {"symmetric catogory", " => requires manually check"},
        {"symmetric none", " => requires manually check"},
        {"new EUI", " => Manually add to candidate list"}
    };
    private static int[] errTypeNos_ =
    {
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0
    };
}
