package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class provides a Java Object class of of a lexRecord with base, EUI,
* category and nominalizations.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class LexRecordNomObj
{
    // public constructor
    public LexRecordNomObj(LexRecord lexRecord)
    {
        if(lexRecord != null)
        {
            base_ = lexRecord.GetBase();
            eui_ = lexRecord.GetEui();
            category_ = lexRecord.GetCategory();
            nominalizations_ = lexRecord.GetNominalizations();
        }
    }
    public LexRecordNomObj(String base, String eui, String category,
        Vector<String> nominalizations)
    {
        base_ = base;
        eui_ = eui;
        category_ = category;
        nominalizations_ = nominalizations;
    }
    // public method
    public String GetBase()
    {
        return base_;
    }
    public String GetEui()
    {
        return eui_;
    }
    public String GetCategory()
    {
        return category_;
    }
    public Vector<String> GetNominalizations()
    {
        return nominalizations_;
    }
    // data member
    private String base_ = null;
    private String eui_ = null;
    private String category_ = null;
    private Vector<String> nominalizations_ = new Vector<String>();
}
