package gov.nih.nlm.nls.lexCheck.Compl;
import java.util.*;
/*****************************************************************************
* This class checks verb particle construction format.
*
* <p><b>History:</b>
* <ul>
* <li>SCR-48, chlu, 12-10-18, check particle and preposition
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class CheckVerbParticle
{
    // public method
    /**
    * Check if the filler is a legal verb particle construction format
    *
    * @param   verbParticle  adverial particle for verb particle construction
    *
    * @return  true or false for a legal or illegal format of verb particle 
    *          construction
    */
    public static boolean IsLegal(String verbParticle) 
    {
        boolean flag = true;

        //check if it starts with infcomp
		// must in the format of ;part(particle)
        if((verbParticle.startsWith(KEY_COMPL) == false)
        || (verbParticle.endsWith(")") == false))
        {
            return false;
        }
        // check first verbParticle
		// case of ()
        if((verbParticle.indexOf("(")+1) == (verbParticle.indexOf(")")))
        {
            return false;
        }
        // check if multiple "("s or ")"s
        if((verbParticle.indexOf("(") != (verbParticle.lastIndexOf("(")))
        || (verbParticle.indexOf(")") != (verbParticle.lastIndexOf(")"))))
        {
            return false;
        }

		// check if the particle is legit adverial particle
		int beginIndex = KEY_COMPL.length();
		int endIndex = verbParticle.indexOf(")", beginIndex+1);
		String particle = verbParticle.substring(beginIndex, endIndex);
		if((particle != null)
		&& (CheckParticle.IsLegal(particle) == false))
		{
			return false;
		}
        return flag;
    }
    // private method
    // data member
    private final static String KEY_COMPL = ";part(";
    private final static int size_ = KEY_COMPL.length();
}
