package gov.nih.nlm.nls.lexCheck.Lib;
import java.util.*;
/*****************************************************************************
* This class performs a comparator for InflVar.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public class InflVarComparator<T> implements Comparator<T>
{
    /**
    * To compare two object o1 and o2.  Both objects o1 and o2 are 
    * InflVar.  The comparison creiteria are: eui, inflection, and 
    * inflectional variant by alpha betical order.
    *
    * @param  o1  first object to be compared
    * @param  o2  second object to be compared
    *
    * @return  a negative integer, 0, or positive integer to represent the
    *          object o1 is less, equals, or greater than object 02.
    */
    public int compare(T o1, T o2)
    {
        InflVar var1 = (InflVar) o1;
        InflVar var2 = (InflVar) o2;
        // compare eui
        int out = var1.GetEui().compareTo(var2.GetEui());
        // compare inflection
        if(out == 0)
        {
            out = var1.GetInflection().length() - var2.GetInflection().length();
            if(out == 0)
            {
                out = var1.GetInflection().compareTo(var2.GetInflection());
            }
        }
        // compare inflectional variant
        if(out == 0)
        {
            out = var1.GetVar().compareTo(var2.GetVar());
        }
        return out;
    }
}
