package gov.nih.nlm.nls.lexCheck.Lib;
/*****************************************************************************
* This class provides an abstract method for updating Lexical record when read
* in tokens.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2019
****************************************************************************/
public interface UpdateLex
{
    // public method
    /**
    * The abstract method of updating Lexical record when read in tokens
    *
    * @param  lexObj  the lexical record object to be updated
    * @param  token   the read in token
    */
    public abstract void Update(LexRecord lexObj, String token);
}
